## org.eclipse.amp.amf.testing.ares.impl
Class RunSetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.amp.amf.testing.ares.impl.RunSetImpl

All Implemented Interfaces:
  RunSet, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class RunSetImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RunSet

An implementation of the model object 'Run Set'.

The following features are implemented:

- `Result`
- `Started`
- `Finished`
- `Runs`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.util.Date` `getFinished()`
`ResultType` `getResult()`
`org.eclipse.emf.common.util.EList<Run>` `getRuns()`
`java.util.Date` `getStarted()`
`void` `setFinished(java.util.Date newFinished)`
`void` `setResult(ResultType newResult)`
`void` `setStarted(java.util.Date newStarted)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getResult

    public ResultType getResult()

  Specified by:
    `getResult` in interface `RunSet`
  Returns:
    the value of the 'Result' attribute.
  See Also:
    `ResultType`, `RunSet.setResult(ResultType)`, `AresPackage.getRunSet_Result()`

### setResult

    public void setResult(ResultType newResult)

  Specified by:
    `setResult` in interface `RunSet`
  Parameters:
    `newResult` - the new value of the 'Result' attribute.
  See Also:
    `ResultType`, `RunSet.getResult()`

### getStarted

    public java.util.Date getStarted()

  Specified by:
    `getStarted` in interface `RunSet`
  Returns:
    the value of the 'Started' attribute.
  See Also:
    `RunSet.setStarted(Date)`, `AresPackage.getRunSet_Started()`

### setStarted

    public void setStarted(java.util.Date newStarted)

  Specified by:
    `setStarted` in interface `RunSet`
  Parameters:
    `newStarted` - the new value of the 'Started' attribute.
  See Also:
    `RunSet.getStarted()`

### getFinished

    public java.util.Date getFinished()

  Specified by:
    `getFinished` in interface `RunSet`
  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `RunSet.setFinished(Date)`, `AresPackage.getRunSet_Finished()`

### setFinished

    public void setFinished(java.util.Date newFinished)

  Specified by:
    `setFinished` in interface `RunSet`
  Parameters:
    `newFinished` - the new value of the 'Finished' attribute.
  See Also:
    `RunSet.getFinished()`

### getRuns

    public org.eclipse.emf.common.util.EList<Run> getRuns()

  Specified by:
    `getRuns` in interface `RunSet`
  Returns:
    the value of the 'Runs' containment reference list.
  See Also:
    `AresPackage.getRunSet_Runs()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`